hicolor-icon-theme: FTBFS: Missing Build-Depends on 'cdbs'

Bug #21534 reported by Debian Bug Importer on 2005-09-13
4
Affects Status Importance Assigned to Milestone
hicolor-icon-theme (Debian)
Fix Released
Unknown
hicolor-icon-theme (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #328035 http://bugs.debian.org/328035

tags 328035 + pending
thanks

        Hi,

On Tue, Sep 13, 2005, Andreas Jochens wrote:
> When building 'hicolor-icon-theme' in a clean 'unstable' chroot,

 Thanks, fixed package uploaded.

   Bye,

--
Loïc Minier <email address hidden>
Come, your destiny awaits!

Source: hicolor-icon-theme
Source-Version: 0.8-3

We believe that the bug you reported is fixed in the latest version of
hicolor-icon-theme, which is due to be installed in the Debian FTP archive:

hicolor-icon-theme_0.8-3.diff.gz
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3.diff.gz
hicolor-icon-theme_0.8-3.dsc
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3.dsc
hicolor-icon-theme_0.8-3_all.deb
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3_all.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loic Minier <email address hidden> (supplier of updated hicolor-icon-theme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 13 Sep 2005 09:41:27 +0200
Source: hicolor-icon-theme
Binary: hicolor-icon-theme
Architecture: source all
Version: 0.8-3
Distribution: unstable
Urgency: high
Maintainer: Ross Burton <email address hidden>
Changed-By: Loic Minier <email address hidden>
Description:
 hicolor-icon-theme - default fallback theme for FreeDesktop.org icon themes
Closes: 328035
Changes:
 hicolor-icon-theme (0.8-3) unstable; urgency=high
 .
   * Add missing CDBS build-dep. (Closes: #328035)
Files:
 36a1df2468a54e802546bd97258c6329 1605 misc optional hicolor-icon-theme_0.8-3.dsc
 bdf5c4498f363fda1ea4371af11cef6f 2538 misc optional hicolor-icon-theme_0.8-3.diff.gz
 4b009ee75acb6d5e0d3ce3c2816c5a81 7662 misc optional hicolor-icon-theme_0.8-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJoMA4VUX8isJIMARAjZsAKCWJqAohNMVk7JA0iNW89jP30adRwCgs57o
AbiBqGVpWNxTyyRzT3aykbM=
=4hrP
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #328035 http://bugs.debian.org/328035

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 13 Sep 2005 08:11:49 +0200
From: Andreas Jochens <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: hicolor-icon-theme: FTBFS: Missing Build-Depends on 'cdbs'

Package: hicolor-icon-theme
Version: 0.8-2
Severity: serious
Tags: patch

When building 'hicolor-icon-theme' in a clean 'unstable' chroot,
I get the following error:

 debian/rules clean
debian/rules:3: /usr/share/cdbs/1/rules/debhelper.mk: No such file or directory
debian/rules:4: /usr/share/cdbs/1/rules/simple-patchsys.mk: No such file or directory
debian/rules:5: /usr/share/cdbs/1/rules/utils.mk: No such file or directory
debian/rules:6: /usr/share/cdbs/1/class/gnome.mk: No such file or directory
make: *** No rule to make target `/usr/share/cdbs/1/class/gnome.mk'. Stop.

Please add the missing Build-Depends on 'cdbs'
to debian/control.

Regards
Andreas Jochens

diff -urN ../tmp-orig/hicolor-icon-theme-0.8/debian/control ./debian/control
--- ../tmp-orig/hicolor-icon-theme-0.8/debian/control 2005-09-13 05:57:45.000000000 +0000
+++ ./debian/control 2005-09-13 05:57:45.000000000 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ross Burton <email address hidden>
 Uploaders: Debian GNOME Maintainers <email address hidden>, Akira TAGOH <email address hidden>, Andreas Rottmann <email address hidden>, Andrew Lau <email address hidden>, Carlos Perelló Marín <email address hidden>, Clément Stenac <email address hidden>, Ed Boraas <email address hidden>, Edd Dumbill <email address hidden>, Emil Soleyman-Zomalan <email address hidden>, Guilherme de S. Pastore <email address hidden>, Gustavo Noronha Silva <email address hidden>, J.H.M. Dassen (Ray) <email address hidden>, Joe Drew <email address hidden>, Johannes Rohr <email address hidden>, Jordi Mallach <email address hidden>, Jose Carlos Garcia Sogo <email address hidden>, Josselin Mouette <email address hidden>, Loic Minier <email address hidden>, Marc 'HE' Brockschmidt <email address hidden>, Ondřej Surý <email address hidden>, Rob Bradford <email address hidden>, Robert McQueen <email address hidden>, Sebastien Bacher <email address hidden>, Sjoerd Simons <email address hidden>, Takuo KITAME <email address hidden>
-Build-Depends-Indep: debhelper (>= 4.0.0), gnome-pkg-tools
+Build-Depends-Indep: debhelper, cdbs, gnome-pkg-tools
 Standards-Version: 3.6.2

 Package: hicolor-icon-theme
diff -urN ../tmp-orig/hicolor-icon-theme-0.8/debian/control.in ./debian/control.in
--- ../tmp-orig/hicolor-icon-theme-0.8/debian/control.in 2005-09-13 05:57:45.000000000 +0000
+++ ./debian/control.in 2005-09-13 05:57:43.000000000 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ross Burton <email address hidden>
 Uploaders: @GNOME_TEAM@
-Build-Depends-Indep: debhelper (>= 4.0.0), gnome-pkg-tools
+Build-Depends-Indep: debhelper, cdbs, gnome-pkg-tools
 Standards-Version: 3.6.2

 Package: hicolor-icon-theme

It doesn't affect us.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 13 Sep 2005 09:45:18 +0200
From: =?iso-8859-1?Q?Lo=EFc?= Minier <email address hidden>
To: Andreas Jochens <email address hidden>, <email address hidden>,
 <email address hidden>
Subject: Re: Bug#328035: hicolor-icon-theme: FTBFS: Missing Build-Depends on 'cdbs'

tags 328035 + pending
thanks

        Hi,

On Tue, Sep 13, 2005, Andreas Jochens wrote:
> When building 'hicolor-icon-theme' in a clean 'unstable' chroot,

 Thanks, fixed package uploaded.

   Bye,

--=20
Lo=EFc Minier <email address hidden>
Come, your destiny awaits!

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 13 Sep 2005 00:47:06 -0700
From: Loic Minier <email address hidden>
To: <email address hidden>
Subject: Bug#328035: fixed in hicolor-icon-theme 0.8-3

Source: hicolor-icon-theme
Source-Version: 0.8-3

We believe that the bug you reported is fixed in the latest version of
hicolor-icon-theme, which is due to be installed in the Debian FTP archive:

hicolor-icon-theme_0.8-3.diff.gz
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3.diff.gz
hicolor-icon-theme_0.8-3.dsc
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3.dsc
hicolor-icon-theme_0.8-3_all.deb
  to pool/main/h/hicolor-icon-theme/hicolor-icon-theme_0.8-3_all.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loic Minier <email address hidden> (supplier of updated hicolor-icon-theme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 13 Sep 2005 09:41:27 +0200
Source: hicolor-icon-theme
Binary: hicolor-icon-theme
Architecture: source all
Version: 0.8-3
Distribution: unstable
Urgency: high
Maintainer: Ross Burton <email address hidden>
Changed-By: Loic Minier <email address hidden>
Description:
 hicolor-icon-theme - default fallback theme for FreeDesktop.org icon themes
Closes: 328035
Changes:
 hicolor-icon-theme (0.8-3) unstable; urgency=high
 .
   * Add missing CDBS build-dep. (Closes: #328035)
Files:
 36a1df2468a54e802546bd97258c6329 1605 misc optional hicolor-icon-theme_0.8-3.dsc
 bdf5c4498f363fda1ea4371af11cef6f 2538 misc optional hicolor-icon-theme_0.8-3.diff.gz
 4b009ee75acb6d5e0d3ce3c2816c5a81 7662 misc optional hicolor-icon-theme_0.8-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJoMA4VUX8isJIMARAjZsAKCWJqAohNMVk7JA0iNW89jP30adRwCgs57o
AbiBqGVpWNxTyyRzT3aykbM=
=4hrP
-----END PGP SIGNATURE-----

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.